Bug 540696 - RFE: Translation Statistics
RFE: Translation Statistics
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 18:36 EST by Jeff Fearn
Modified: 2010-11-23 23:18 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 23:15:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2009-11-23 18:36:46 EST
Description of problem:
Due to publican 1.0 obsoleting po2sgml there is no longer anyway for publican users to generate translation statistics.

Version-Release number of selected component (if applicable):
publican 1.2

How reproducible:
Always

Steps to Reproduce:
1. Translate something
2. Use pen and paper to calculate translation statistics

  
Actual results:
bwah bwah bwow music

Expected results:
Report of translation statistics for the given language.

Additional info:
Needs to report, untranslated, fuzzy and translated words per file.

Same again as a total for the language.

Display estimated hours remaining for untranslated and fuzzy.
Comment 1 Jeff Fearn 2009-11-23 18:52:17 EST
Added new action lang_stats which outputs a report:

[common]$ publican lang_stats --lang ja-JP
==================================================================================
File Name                                   Untranslated      Fuzzy Translated
==================================================================================
ja-JP/Conventions.po                                   4        592        610
ja-JP/Feedback.po                                      0          0         22
==================================================================================
Total for ja-JP                                        4        592        632
Remaining hours for ja-JP                           0.02       1.18
==================================================================================
Comment 2 Fedora Update System 2009-12-07 21:15:16 EST
publican-1.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc12
Comment 3 Fedora Update System 2009-12-07 21:18:34 EST
publican-1.3-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc11
Comment 4 Fedora Update System 2009-12-09 23:14:12 EST
publican-1.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-12-09 23:27:03 EST
publican-1.3-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.